## org.biojava.bio.seq.io.filterxml
Interface XMLAnnotationTypeWriter.XMLPropertyConstraintWriter

Enclosing interface:
  XMLAnnotationTypeWriter

public static interface XMLAnnotationTypeWriter.XMLPropertyConstraintWriter

Writer for types of PropertyConstraint. Implement this to add support for a new type of PropertyConstraint.

Since:
  1.3
Author:
  Thomas Down

Method Summary
`void` `writePropertyConstraint(PropertyConstraint pc, XMLWriter xw, XMLAnnotationTypeWriter config)`

Method Detail

### writePropertyConstraint

    public void writePropertyConstraint(PropertyConstraint pc,
                                        XMLWriter xw,
                                        XMLAnnotationTypeWriter config)
                                 throws java.lang.ClassCastException,
                                        java.io.IOException,
                                        java.lang.IllegalArgumentException

  Throws:
    `java.lang.ClassCastException`
    `java.io.IOException`
    `java.lang.IllegalArgumentException`